
VisIt - Bug # 1253: Pick's re-execution of pipeline causing a hang

Status: Developer Review Priority: High

Author: Kathleen Biagas Category:

Created: 11/29/2012 Assigned to: Eric Brugger

Updated: 02/19/2013 Due date:

Likelihood: 3 - Occasional

Severity: 4 - Crash / Wrong Results

Found in Version: 2.5.2

OS: All

Support Group: Any

Subject: Pick's re-execution of pipeline causing a hang

Description: Scenario as reported by Bruce Hammel.

Large data using 10 nodes on muir

Multiple plots

Performs a pick on the Pseudocolor plot 

Receives warning message that Pick requires more information, and the pipeline re-executes.

Performs several more picks.

Changes the zoom by rolling the mouse.

Performs another Pick.

Again receives warning that Pick requires more information.

Pipeline re-execution hangs, and VisIt is unrecoverable.



Bruce considers this 'very annoying', as getting the session set to the exact spot where VisIt crashed is time 

consuming.





History

12/04/2012 07:24 pm - Kathleen Biagas

- Status changed from New to Pending

12/17/2012 06:34 pm - Cyrus Harrison

- Status changed from Pending to New

Bruce called on Monday 12/17 to check on this issue. He wanted to know if we have been able to reproduce it, says he can give us more info if 

necessary.  (For instance, he using the coord swap operator as part of his pipeline.)



02/12/2013 11:54 am - Mark Miller

Bruce called to check the status of this issue. I told him that I don't think we have a re-producer for it yet. I asked if he has still been encountering the 

problem. He said he feels like he's seen it in the last month but maybe not more frequently than that. He said that this is "really holding him up" 

because when it happens he looses everything. I called him back to ask if he gets a 'recovery' file and can restart VisIt and use it to get back to the 

correct state. He said he's had trouble with that in the past and finds it easier to start over from scratch.



02/12/2013 04:46 pm - Eric Brugger

- Status changed from New to Developer Review

02/12/2013 04:47 pm - Eric Brugger

- Assigned to set to Eric Brugger
02/19/2013 08:35 pm - Mark Miller

I have bug data in /p/lscratch4/miller86/visit_bug_1253



I set permissions for visit group read



I used 120 procs to reproduce it



I put a readme file there too with some additional information.
